version: '3.6'
services:
    serverweb:
        build: docker/webserver
        container_name: apache
        ports:
            - 80:80
            - 443:443
        volumes:
            - ./:/var/www/html/:cached
            - ./docker/webserver/server/000-default.conf:/etc/apache2/sites-available/000-default.conf
            - ./docker/webserver/server/apache2.conf:/etc/apache2/apache2.conf
            - ./docker/webserver/server/php.ini:/usr/local/etc/php/php.ini
        depends_on:
            - db
    db:
        image: mysql:5.7
        container_name: database
        environment:
            MYSQL_ROOT_PASSWORD: password
            MYSQL_USER: root
            MYSQL_PASSWORD: password
            MYSQL_DATABASE: mybestpro
        volumes:
            - ./db-data/:/var/lib/mysql
        restart: always
        ports:
            - "45002:3306"

volumes:
    db-data: {}
